{
  "schema_version": "1.4.0",
  "id": "GHSA-59m5-fjcv-54hx",
  "modified": "2022-05-03T03:18:09Z",
  "published": "2022-05-03T03:18:09Z",
  "aliases": [
    "CVE-2007-2443"
  ],
  "details": "Integer signedness error in the gssrpc__svcauth_unix function in svc_auth_unix.c in the RPC library in MIT Kerberos 5 (krb5) 1.6.1 and earlier might allow remote attackers to execute arbitrary code via a negative length value.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2443"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/35085"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1499"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11277"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A7131"
    },
    {
      "type": "WEB",
      "url": "https://secure-support.novell.com/KanisaPlatform/Publishing/773/3248163_f.SAL_Public.html"
    },
    {
      "type": "WEB",
      "url": "http://docs.info.apple.com/article.html?artnum=306172"
    },
    {
      "type": "WEB",
      "url": "http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c02257427"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce//2007/Jul/msg00004.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.grok.org.uk/pipermail/full-disclosure/2007-September/065902.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/36597"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25800"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25801"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25814"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25821"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25870"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25888"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25890"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25894"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25911"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26033"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26228"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26235"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26909"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27706"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/40346"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200707-11.xml"
    },
    {
      "type": "WEB",
      "url": "http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2007-004.txt"
    },
    {
      "type": "WEB",
      "url": "http://web.mit.edu/kerberos/www/advisories/MITKRB5-SA-2007-004.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1323"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/365313"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:137"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_38_krb5.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0384.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0562.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/472288/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/472432/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/472507/30/5970/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24657"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/25159"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018293"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2007/0021"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-477-1"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA07-177A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2337"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2491"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2732"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3229"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/1574"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-06-26T22:30:00Z"
  }
}